m17n-lib-mimx_1.6.4-3_amd64.deb


Advertisement

Description

m17n-lib-mimx - multilingual text processing library - binary modules

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: m17n-lib-mimx
Package version: 1.6.4
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 69 B
Download size: 15.02 KB
Official Mirror: ftp.br.debian.org
The m17n library is a multilingual text processing library for the C language. This library has following features: - The m17n library is an open source software. - The m17n library for any Linux/Unix applications. - The m17n library realizes multilingualization of many aspects of applications. - The m17n library represents multilingual text as an object named M-text. M-text is a string with attributes called text properties, and designed to substitute for string in C. Text properties carry any information required to input, display and edit the text. - The m17n library supports functions to handle M-texts. m17n is an abbreviation of Multilingualization. This package contains the binary modules needed by: - ja-anthy.mim - ispell.mim

Alternatives

    Download

    Source package: m17n-lib

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install m17n-lib-mimx deb package:
      # sudo apt-get install m17n-lib-mimx

    Files

    • /usr/lib/m17n/1.0/libmimx-anthy.so
    • /usr/lib/m17n/1.0/libmimx-ispell.so
    • /usr/share/doc/m17n-lib-mimx/changelog.Debian.gz
    • /usr/share/doc/m17n-lib-mimx/changelog.gz
    • /usr/share/doc/m17n-lib-mimx/copyright

    Changelog

    2014-09-09 - Harshula Jayasuriya <harshula@debian.org> m17n-lib (1.6.4-3) unstable; urgency=low * debian/control: - Build-Depends: s/libgd2-noxpm-dev/libgd-dev/ - Add Vcs-Git & Vcs-Browser - Depends: remove m17n-contrib. (Closes: #746928) - Update Standards-Version to Debian Policy 3.9.5. (No changes) * Fix debian-changelog-has-wrong-weekday * Use dh-autoreconf (Closes: #750672).

    2013-07-07 - Harshula Jayasuriya <harshula@debian.org> m17n-lib (1.6.4-2) unstable; urgency=low * The Mayhem Team reported the following bug: http://www.forallsecure.com/bug-reports/69409d6ddf6f28f4f8f8f0c26b7c9c61d70d879e/ - Upstream patch: 0001-mconv-fix-checking-of-command-line-arguments.patch * debian/control: DM-Upload-Allowed removed

    2012-12-12 - Harshula Jayasuriya <harshula@debian.org> m17n-lib (1.6.4-1) unstable; urgency=low * New upstream release 1.6.4. * Upstream has moved to https://savannah.nongnu.org/projects/m17n. * Updated to debhelper 9. * debian/copyright: update tarball location, homepage, copyright dates. * debian/rules: use dpkg-buildflags

    2012-05-27 - Harshula Jayasuriya <harshula@debian.org> m17n-lib (1.6.3-2) unstable; urgency=low * Update maintainer email address. * Update Standards-Version to Debian Policy 3.9.3. (No changes) * Fix debian-rules-missing-recommended-target.

    2011-10-15 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.6.3-1) unstable; urgency=low * New upstream release 1.6.3. * Update Standards-Version to Debian Policy 3.9.2. (No changes) * locale.c.patch: drop, included in upstream. * add-FONTCONFIG_LD_FLAGS-to-libm17n_X_la_LIBADD.patch: drop, included in upstream. * debian/control: - Subpackage anthy, ispell modules into m17n-lib-mimx. (Closes: 582797) - m17n-lib-mimx: Depends on anthy and ispell. * debian/libm17n-0.symbols: added: minput_list@Base 1.6.3

    2011-03-20 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.6.2-3) unstable; urgency=low * FTBFS fix: add-FONTCONFIG_LD_FLAGS-to-libm17n_X_la_LIBADD.patch (Closes: 618080)

    2011-01-10 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.6.2-2) unstable; urgency=low * debian/control: BUGFIX: add ispell to Build-Depends.

    2010-11-23 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.6.2-1) unstable; urgency=low * New upstream release 1.6.2. * Update Standards-Version to Debian Policy 3.9.1. (No changes) * debian/control: Depends: m17n-db and m17n-contrib. (Closes: #599643) * PATCH: (make_locale): Don't call setlocale. Just parse the arg NAME. (Closes: #601858)

    2010-06-26 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.6.1-1) unstable; urgency=low * New upstream release 1.6.1. * Update Standards-Version to Debian Policy 3.8.4. (No changes) * debian/source/format: 3.0 (quilt). * debian/README.source: deleted. * debian/rules: remove all references to patch and dpatch. * debian/copyright: update dates. * debian/control: - Build-depends: remove dpatch. - Build-depends: libotf >= 0.9.11 - Recommends: m17n-db >= 1.6.0 * debian/patches/fix_loadable_modules_path.dpatch: removed, fixed upstream. * debian/patches/fix_soversion.patch: removed, fixed upstream. * debian/libm17n-0.install: module directory changed from /usr/lib/m17n-lib/ to /usr/lib/m17n/1.0/ . * debian/libm17n-0.symbols: updated. * debian/libm17n-dev.install: remove modules.

    2010-01-10 - Harshula Jayasuriya <harshula@gmail.com> m17n-lib (1.5.5-1) unstable; urgency=low * New upstream release 1.5.5. * Update Standards-Version to Debian Policy 3.8.3. (No changes) * debian/control: - build-depend on libgd2-noxpm-dev, not libgd2-xpm-dev. (Closes: #543985) - DM-Upload-Allowed: yes. - Specified versioned build tools for Build-Depends. - Add versioned Depends. * debian/copyright: specify the version of the license file. * debian/README.source: Created this file. * Add debian/libm17n-0.symbols. (Closes: #555437)

    Advertisement
    Advertisement